Português
Continue in the app

Patch 4 da Rede de Utilitários do ArcGIS Server 10.8.1

Summary

Este patch resolve vários problemas funcionais com a rede de utilitários no ArcGIS Enterprise 10.8.1 junto com melhorias de desempenho com validação, rastreamento, atualização de subredes, como também, melhorias gerais de desempenho para geodatabases enterprise do SQL Server.

Description

Esri® anuncia o Patch 4 da Rede de Utilitários do ArcGIS Server 10.8.1. Este patch se concentra na qualidade e no desempenho, especialmente nas áreas de validação e atualização de subrede, e é recomendado para todos os clientes da rede de utilitários que usam ArcGIS Enterprise 10.8.1. Os usuários com geodatabases enterprise do SQL Server se beneficiarão das atualizações que tratam de problemas com procedimentos armazenados e bloqueio interno. Além disso, este patch lida especificamente com o problema listado abaixo em Problemas Corrigidos com este patch.

Nota Importante: Uma atualização de geodatabase é necessária para as melhorias do SQL Server. Consulte a seção Atualizar um geodatabase abaixo para orientação.


Problemas Corrigidos com este patch


  • BUG-000140539 - As consultas STIntersects() não usam o índice espacial
  • BUG-000140525 - Implementar a otimização de Validar, ao rastrear subredes inválidas. Quando uma camada não tiver subredes, não rastreie a camada, pois nada pode ser marcado como inválido.
  • BUG-000140449 - Conexões bloqueadas por bloqueio de tabela exclusivo no sde_process_information.
  • BUG-000140443 - Validar a feição de conteúdo gera atualizações para todas as associações da feição de contêiner
  • BUG-000140214 - Pós-retenção de bloqueio de tabela compartilhada em gdb_itemtypes durante a pós-operação
  • BUG-000140030 - Melhorar o desempenho para consulta de ramificação com ligação de tabela UUID log.file.
  • BUG-000140013 - A blocagem pode ser encontrada quando várias conexões mantêm bloqueios exclusivos nas tabelas sde_process_information e sde_table_locks.
  • BUG-000139968 - A atualização pode criar um índice condicional incorreto na tabela GDB_Locks.
  • BUG-000139833 - Deadlocking pode ocorrer em tabelas SDE_branches e SDE_branch_tables_modified durante reconciliação simultânea e pós-operações.
  • BUG-000139379 - A propagação de conflitos ocorre incorretamente em um cenário específico com Relacionamentos Atribuídos e Versionamento de Ramificação.
  • BUG-000139299 -Edição de Desempenho em Topo de Rede Habilitado
  • BUG-000133185 - A ferramenta 'Validar Topologia de Rede' falha e retorna a seguinte mensagem de erro: "Falha na operação de edição. ERRO:"
Para evitar conflitos no 10.8.1, este patch também corrige:
  • BUG-000137346 - O travamento ocorre quando a reconciliação é executada enquanto a tabela intermediária não está registrada como versionada.
  • BUG-000137139 -Otimizar a função UpdateAssociationInfo dividindo a consulta para descobrir associações from/toglobalid
  • BUG-000136979 - Validar a Topologia de Rede, alocando incorretamente grandes quantidades de memória, afetando o uso da rede do servidor
  • BUG-000136930 - Em um serviço versionado da ramificação, proveniente de um banco de dados PostgreSQL, qualquer interrupção na conexão resulta em um erro de DBMS subjacente até que o serviço seja reiniciado.
  • BUG-000136892 - Quando -1 é retornado ao ArcGIS Pro a caixa de diálogo de resolução de conflito é incapaz de apresentar os conflitos adequadamente
  • BUG-000136889 - Após atualizar o Enterprise Geodatabase 10.7.1 para 10.8.1 e executar a consulta para obter Next_RowID, a seguinte mensagem de erro é retornada: Msg 8144, Nível 16, Estado 2, Procedimento DBO.i13_get_ids, Linha 0 [Linha Inicial em Lote 0] Procedimento ou a função i13_get_ids tem muitos parâmetros especificados.
  • BUG-000136296 - As reconciliações de longa execução podem impedir que os usuários editem o Padrão ou reconciliem outras versões com Versionamento de Ramificação.
  • BUG-000136284 - A edição de dados registrados como múltipla ramificação causa escalonamento de bloqueio e cenários de bloqueio em geodatabases no SQL Server.
  • BUG-000136107 - A ferramenta Atualizar Subrede falha e retorna a mensagem de erro, "ERRO 001400: O servidor demorou muito para responder. O cliente expirou. (código de status 28). Falha ao executar (UpdateSubnetwork)."
  • BUG-000135328 - Reconciliar falha em uma versão de ramificação e retorna a mensagem de erro, "Já existe uma linha com este OID."
  • BUG-000135117 - A atualização da subrede em uma rede de utilitário de referência espacial do sistema de coordenadas geográficas (GCS) falha pela segunda vez para linhas curtas.
  • BUG-000134954 - Reconciliar várias versões na rede de utilitário usando a ferramenta Reconciliar Versões trava a instância ArcSOC.exe.
  • BUG-000134950 - O travamento ocorre quando a reconciliação é executada enquanto uma tabela de destino relacionada não foi registrada como versionada
  • BUG-000134496 - O uso da ferramenta 'Reconciliar Versões' e deixar o parâmetro 'Anular se forem detectados conflitos' desmarcado, faz com que a sessão ainda anule a reconciliação.
  • BUG-000134378 - Remover a função superior em colunas GUID em consultas da estrutura de lotes em geodatabase enterprise no Oracle
  • BUG-000133698 - Ativar a topologia com a opção 'Somente gerar erros' não limpa as áreas de ação do erro.
  • BUG-000132887 - As linhas de subrede elétrica e as linhas elétricas não se sobrepõem quando a ONU está em um GCS de 'GDA2020'.
  • BUG-000132751 - Otimizar declarações de sql para consultas de ramificação versionadas ao usar um geodatabase enterprise no Oracle
  • BUG-000132315 - Remover a cláusula "where 1 = 1" desnecessária das consultas de serviço da feição
  • BUG-000130888 -A ferramenta Registrar com Geodatabase falha ao registrar uma classe de feição vazia
  • BUG-000130742 - Otimizar as consultas de paginação versionadas ao usar um geodataase enterprise no Oracle

Instalando este patch no Windows


Etapas da Instalação:


Esse patch deve ser instalado em todas as instalações do ArcGIS Server relacionadas ao site do ArcGIS Server.

O produto ArcGIS listado na tabela deve estar instalado no seu sistema antes que você possa instalar um patch. Cada configuração de patch é específica para o produto ArcGIS na lista. Para determinar quais produtos estão instalados no seu sistema, consulte a seção Como identificar quais produtos ArcGIS estão instalados . A Esri recomenda que você instale o patch para cada produto que está no seu sistema.

  1. Baixe o arquivo apropriado para um local diferente do local de instalação do ArcGIS.

  2. ArcGIS 10.8.1  
       
         ArcGIS Server ArcGIS-1081-S-UN4-Patch.msp
         Soma de Verificação
         (SHA256)
    AFFACC045B1ECBB815A4194D2B15C33B2BAADFD5C47938AAA29639587809C060
       

  3. Certifique-se de ter acesso à escrita no local de instalação do ArcGIS.

  4. Clique duas vezes em ArcGIS-1081-S-UN4-Patch.msp para iniciar o processo de instalação.

    NOTA: Se clicar duas vezes no arquivo MSP não iniciar a instalação, você poderá iniciar a instalação manualmente, utilizando o seguinte comando:

    msiexec.exe /p [local do Patch]\ArcGIS-1081-S-UN4-Patch.msp


Instalando este patch no Linux


Etapas da Instalação:


Complete as seguintes etapas de instalação como proprietário da instalação do ArcGIS. O proprietário da Instalação é o proprietário da pasta arcgis. Esse patch deve ser instalado em todas as instalações do ArcGIS Server relacionadas ao site do ArcGIS Server.

O produto ArcGIS listado na tabela deve estar instalado no seu sistema antes que você possa instalar um patch. Cada configuração de patch é específica para o produto ArcGIS na lista. Para determinar quais produtos estão instalados no seu sistema, consulte a seção Como identificar quais produtos ArcGIS estão instalados . A Esri recomenda que você instale o patch para cada produto que está no seu sistema.

  1. Baixe o arquivo apropriado para um local diferente do local de instalação do ArcGIS.


    ArcGIS 10.8.1  
       
         ArcGIS Server ArcGIS-1081-S-UN4-Patch-linux.tar
         Soma de Verificação
         (SHA256)
    4A9BC41D207926EE64FE60D04077D3CDAA0F3C7174A5C8DFA36D3BC9327BCA88
       

  2. Certifique-se de ter acesso à escrita no local de instalação do ArcGIS, e que ninguém esteja utilizando o ArcGIS.

  3. Extraia o arquivo tar especificado digitando:

    % tar -xvf ArcGIS-1081-S-UN4-Patch-linux.tar

  4. Inicie a instalação digitando:

    % ./applypatch

    Isto iniciará o diálogo do menu dirigido ao procedimento da instalação. Seleções padrões são anotadas entre parênteses ( ). Para sair do procedimento da instalação, digite 'q' a qualquer momento.

Atualizar um geodatabase


Quando um hotfix ou patch para ArcGIS for aplicado, também poderá ser necessário atualizar seu geodatabase. Consulte a seção Atualizar o Geodatabase na páginaGerenciamento de geodatabase para sua plataforma DBMS individual para obter mais informações.

Dica: Atualize seu geodatabase enterprise armazenado no Microsoft SQL Server para aproveitar as vantagens das correções críticas para versionamento da ramificação.

A atualização do ArcGIS Server exige o uso de Python. Se estiver trabalhando com ArcGIS Server no Windows ou Linux, você poderá acessar o ambiente Python 3 apropriado usando o python.exe que está incluído com os componentes de framework/runtime do ArcGIS Server. Além disso, no Windows, um arquivo em lote do script está disponível para iniciar o ambiente Python 3.

Para realizar a atualização, crie um script usando este exemplo da sintaxe de Python e nomeie o script upgrade_gdb.py.

import arcpy
Connection_File_Name_full_path="C:\\temp\\sysadmin_connection.sde"
arcpy.UpgradeGDB_management(Connection_File_Name_full_path, "PREREQUISITE_CHECK", "UPGRADE")

A documentação adicional sobre como Atualizar um geodatabase enterprise no SQL Server está disponível neste tópico de ajuda: Atualizar um geodatabase enterprise no SQL Server

No Windows, execute o script de atualização explicitamente usando o ambiente Python 3. Se o ArcGIS Server for instalado no local padrão, o script poderá ser executado com qualquer um dos seguintes comandos:

"C:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\bin\Python\scripts\propy.bat" C:\temp\upgrade_gdb.py
Ou
"C:\Program Files\ArcGIS\Server\framework\runtime\ArcGIS\bin\Python\envs\arcgispro-py3\python.exe" C:\temp\upgrade_gdb.py

No Linux, inicie o ambiente Python 3 usando os seguintes comandos:

source /<arcgis_server_installation_directory>/arcgis/server/framework/etc/arcenv
unset LD_PRELOAD
unset CONDA_DEFAULT_ENV

Em seguida, execute o script de atualização com o seguinte comando:

wine "Z:\<arcgis_server_installation_directory>\arcgis\server\framework\runtime\ArcGIS\bin\Python\envs\arcgispro-py3\python.exe" <path_To>\upgrade_gdb.py


Desinstalando este patch no Windows


Para desinstalar esse patch no Windows, abra o Painel de Controle do Windows e navegue até os programas instalados. Verifique se "Exibir atualizações instaladas" (lado superior esquerdo do diálogo Programas e Recursos) está ativo. Selecione o nome do patch na lista de programas e clique em Desinstalar para remover o patch.

Desinstalando este patch no Linux


Para remover este patch em versões 10.7 e superior, navegue até o diretório <Diretório de Instalação do Produto>/.Setup/qfe e execute o seguinte script como o proprietário da Instalação do ArcGIS:



./removepatch.sh

O script removepatch.sh permite a você desinstalar patches ou pacotes de correção instalados anteriormente. Utilize a marcação -s status para obter a lista de patches ou pacotes de correção instalados, ordenados por data. Use o comando -q flag para remover patches ou pacotes de correção em ordem cronológica reversa pela data na qual foram instalados. Digite removepatch -h para ajuda de uso.

Reinicie seus serviços do ArcGIS.



Atualizações de Patch

Verifique a página Patches e Service Packs periodicamente para a disponibilidade de patches adicionais. Novas informações sobre este patch serão postadas aqui.

2 de Dezembro, 2021 As configurações do Windows deste patch foram atualizadas com novas assinaturas digitais. Esta alteração corrige o possível erro de instalação:

Um certificado obrigatório não está dentro do seu período de validade ao verificar o relógio do sistema atual ou o carimbo de data/hora no arquivo assinado.

Como identificar quais produtos ArcGIS estão instalados

Para determinar quais produtos ArcGIS estão instalados, escolha a versão apropriada do utilitário PatchFinder para seu ambiente e execute-o de sua máquina local. O PatchFinder listará todos os produtos, pacotes de correção e patches instalados em sua máquina local.

Obtendo Ajuda

Sites nacionais, entre em contato com o Suporte Técnico da ESRI pelo número 1-888-377-4575, se tiver alguma dificuldade em instalar este patch. Sites internacionais, entrem em contato com o distribuidor de software local da Esri.